version: '3.3'

services:

  marcha-virtual-api:
    image: $DOCKER_IMAGE:$DOCKER_TAG
    networks:
      - traefik_proxy
    environment:
      - MONGODB_URI=mongodb://marcha-virtual-mongo:27017/familiares
      - API_HOST=0.0.0.0
      - API_PORT=50000
      - CRON_ACTIVE=true
      - CRON_TIMELAPSE=5
      - JWT_KEY=memoria
      - TWITTER_CONSUMER_KEY=${TWITTER_CONSUMER_KEY}
      - TWITTER_CONSUMER_SECRET=${TWITTER_CONSUMER_SECRET}
      - TWITTER_ACCESS_TOKEN_KEY=${TWITTER_ACCESS_TOKEN_KEY}
      - TWITTER_ACCESS_TOKEN_SECRET=${TWITTER_ACCESS_TOKEN_SECRET}
      - CRAWLER_MAX_TWEETS=${CRAWLER_MAX_TWEETS_PROD}
      - CRAWLER_MAX_TWEETS_PER_QUERY=100
      - CACHE_TTL=60
      - CACHE_CHECKPERIOD=30
    deploy:
      labels:
        - "traefik.http.routers.marcha-virtual-api.rule=Host(`$URL_LIST`)"
        - "traefik.http.routers.marcha-virtual-api.tls=true"
        - "traefik.http.routers.marcha-virtual-api.tls.certresolver=le"
        - "traefik.http.services.marcha-virtual-api.loadbalancer.server.port=50000"
        - "traefik.enable=true"
      restart_policy:
        condition: on-failure

  marcha-virtual-mongo:
    image: mongo
    networks:
      - traefik_proxy
    volumes:
      - mongo_familiares:/data/db/familiares
    #command: "--logpath=/dev/null --setParameter failIndexKeyTooLong=false"


networks:
  traefik_proxy:
    external: true

volumes:
  mongo_familiares:
    external: true
